Skip to main content
GET
/
api
/
v1
/
indexes
/
notifications
List published notifications
curl --request GET \
  --url https://api.tilt.io/api/v1/indexes/notifications \
  --header 'X-Api-Key: <api-key>'
{
  "count": 123,
  "results": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "url": "<string>",
      "affected_index_uuids": [
        "<string>"
      ],
      "effective_date": "2023-12-25",
      "published_at": "2023-11-07T05:31:56Z",
      "document_url": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

effective_date_from
string

Lower bound on effective_date (inclusive). ISO date (YYYY-MM-DD).

effective_date_to
string

Upper bound on effective_date (inclusive). ISO date (YYYY-MM-DD).

index_uuid
string[]

UUID of an affected index. Repeat the param to pass multiple values.

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

subscribed
boolean

When true, only return notifications affecting indexes your API key is entitled to. Defaults to false (all published notifications).

type
enum<string>[]

Announcement type. Repeat the param to pass multiple values.

Available options:
corporate_action,
index_launch,
methodology,
policy,
rebalancing

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"